1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile.am for Http
18#
19#  Licensed to the Apache Software Foundation (ASF) under one
20#  or more contributor license agreements.  See the NOTICE file
21#  distributed with this work for additional information
22#  regarding copyright ownership.  The ASF licenses this file
23#  to you under the Apache License, Version 2.0 (the
24#  "License"); you may not use this file except in compliance
25#  with the License.  You may obtain a copy of the License at
26#
27#      http://www.apache.org/licenses/LICENSE-2.0
28#
29#  Unless required by applicable law or agreed to in writing, software
30#  distributed under the License is distributed on an "AS IS" BASIS,
31#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
32#  See the License for the specific language governing permissions and
33#  limitations under the License.
34
35#  Licensed to the Apache Software Foundation (ASF) under one
36#  or more contributor license agreements.  See the NOTICE file
37#  distributed with this work for additional information
38#  regarding copyright ownership.  The ASF licenses this file
39#  to you under the Apache License, Version 2.0 (the
40#  "License"); you may not use this file except in compliance
41#  with the License.  You may obtain a copy of the License at
42#
43#      http://www.apache.org/licenses/LICENSE-2.0
44#
45#  Unless required by applicable law or agreed to in writing, software
46#  distributed under the License is distributed on an "AS IS" BASIS,
47#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
48#  See the License for the specific language governing permissions and
49#  limitations under the License.
50
51
52VPATH = @srcdir@
53am__is_gnu_make = { \
54  if test -z '$(MAKELEVEL)'; then \
55    false; \
56  elif test -n '$(MAKE_HOST)'; then \
57    true; \
58  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
59    true; \
60  else \
61    false; \
62  fi; \
63}
64am__make_running_with_option = \
65  case $${target_option-} in \
66      ?) ;; \
67      *) echo "am__make_running_with_option: internal error: invalid" \
68              "target option '$${target_option-}' specified" >&2; \
69         exit 1;; \
70  esac; \
71  has_opt=no; \
72  sane_makeflags=$$MAKEFLAGS; \
73  if $(am__is_gnu_make); then \
74    sane_makeflags=$$MFLAGS; \
75  else \
76    case $$MAKEFLAGS in \
77      *\\[\ \	]*) \
78        bs=\\; \
79        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
80          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
81    esac; \
82  fi; \
83  skip_next=no; \
84  strip_trailopt () \
85  { \
86    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
87  }; \
88  for flg in $$sane_makeflags; do \
89    test $$skip_next = yes && { skip_next=no; continue; }; \
90    case $$flg in \
91      *=*|--*) continue;; \
92        -*I) strip_trailopt 'I'; skip_next=yes;; \
93      -*I?*) strip_trailopt 'I';; \
94        -*O) strip_trailopt 'O'; skip_next=yes;; \
95      -*O?*) strip_trailopt 'O';; \
96        -*l) strip_trailopt 'l'; skip_next=yes;; \
97      -*l?*) strip_trailopt 'l';; \
98      -[dEDm]) skip_next=yes;; \
99      -[JT]) skip_next=yes;; \
100    esac; \
101    case $$flg in \
102      *$$target_option*) has_opt=yes; break;; \
103    esac; \
104  done; \
105  test $$has_opt = yes
106am__make_dryrun = (target_option=n; $(am__make_running_with_option))
107am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
108pkgincludedir = $(includedir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123@BUILD_TESTS_TRUE@am__append_1 = RegressionHttpTransact.cc
124check_PROGRAMS = test_proxy_http$(EXEEXT)
125subdir = proxy/http
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/build/atomic.m4 \
128	$(top_srcdir)/build/ax_check_openssl.m4 \
129	$(top_srcdir)/build/ax_compare_version.m4 \
130	$(top_srcdir)/build/ax_compiler_vendor.m4 \
131	$(top_srcdir)/build/ax_lib_curl.m4 \
132	$(top_srcdir)/build/ax_lib_readline.m4 \
133	$(top_srcdir)/build/ax_path_generic.m4 \
134	$(top_srcdir)/build/ax_perl_modules.m4 \
135	$(top_srcdir)/build/ax_require_defined.m4 \
136	$(top_srcdir)/build/ax_with_curses.m4 \
137	$(top_srcdir)/build/boringocsp.m4 \
138	$(top_srcdir)/build/brotli.m4 $(top_srcdir)/build/cjose.m4 \
139	$(top_srcdir)/build/common.m4 $(top_srcdir)/build/crypto.m4 \
140	$(top_srcdir)/build/hiredis.m4 $(top_srcdir)/build/jansson.m4 \
141	$(top_srcdir)/build/jemalloc.m4 $(top_srcdir)/build/libtool.m4 \
142	$(top_srcdir)/build/ltoptions.m4 \
143	$(top_srcdir)/build/ltsugar.m4 \
144	$(top_srcdir)/build/ltversion.m4 \
145	$(top_srcdir)/build/lt~obsolete.m4 \
146	$(top_srcdir)/build/luajit.m4 $(top_srcdir)/build/lzma.m4 \
147	$(top_srcdir)/build/network.m4 $(top_srcdir)/build/pcre.m4 \
148	$(top_srcdir)/build/pkg.m4 $(top_srcdir)/build/tcmalloc.m4 \
149	$(top_srcdir)/build/yaml-cpp.m4 $(top_srcdir)/build/zlib.m4 \
150	$(top_srcdir)/configure.ac
151am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
152	$(ACLOCAL_M4)
153DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
154	$(am__DIST_COMMON)
155mkinstalldirs = $(install_sh) -d
156CONFIG_HEADER = $(top_builddir)/include/ink_autoconf.h
157CONFIG_CLEAN_FILES =
158CONFIG_CLEAN_VPATH_FILES =
159LIBRARIES = $(noinst_LIBRARIES)
160ARFLAGS = cru
161AM_V_AR = $(am__v_AR_@AM_V@)
162am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
163am__v_AR_0 = @echo "  AR      " $@;
164am__v_AR_1 =
165libhttp_a_AR = $(AR) $(ARFLAGS)
166libhttp_a_LIBADD =
167am__libhttp_a_SOURCES_DIST = HttpSessionAccept.cc HttpSessionAccept.h \
168	HttpBodyFactory.cc HttpBodyFactory.h HttpCacheSM.cc \
169	HttpCacheSM.h Http1ClientSession.cc Http1ClientSession.h \
170	Http1Transaction.cc Http1Transaction.h HttpConfig.cc \
171	HttpConfig.h HttpConnectionCount.cc HttpConnectionCount.h \
172	HttpDebugNames.cc HttpDebugNames.h HttpPages.cc HttpPages.h \
173	HttpProxyServerMain.cc HttpProxyServerMain.h HttpSM.cc \
174	HttpSM.h Http1ServerSession.cc Http1ServerSession.h \
175	HttpSessionManager.cc HttpSessionManager.h HttpTransact.cc \
176	HttpTransact.h HttpTransactCache.cc HttpTransactCache.h \
177	HttpTransactHeaders.cc HttpTransactHeaders.h HttpTunnel.cc \
178	HttpTunnel.h ForwardedConfig.cc RegressionHttpTransact.cc
179@BUILD_TESTS_TRUE@am__objects_1 = RegressionHttpTransact.$(OBJEXT)
180am_libhttp_a_OBJECTS = HttpSessionAccept.$(OBJEXT) \
181	HttpBodyFactory.$(OBJEXT) HttpCacheSM.$(OBJEXT) \
182	Http1ClientSession.$(OBJEXT) Http1Transaction.$(OBJEXT) \
183	HttpConfig.$(OBJEXT) HttpConnectionCount.$(OBJEXT) \
184	HttpDebugNames.$(OBJEXT) HttpPages.$(OBJEXT) \
185	HttpProxyServerMain.$(OBJEXT) HttpSM.$(OBJEXT) \
186	Http1ServerSession.$(OBJEXT) HttpSessionManager.$(OBJEXT) \
187	HttpTransact.$(OBJEXT) HttpTransactCache.$(OBJEXT) \
188	HttpTransactHeaders.$(OBJEXT) HttpTunnel.$(OBJEXT) \
189	ForwardedConfig.$(OBJEXT) $(am__objects_1)
190libhttp_a_OBJECTS = $(am_libhttp_a_OBJECTS)
191am__dirstamp = $(am__leading_dot)dirstamp
192am_test_proxy_http_OBJECTS =  \
193	unit_tests/test_proxy_http-unit_test_main.$(OBJEXT) \
194	unit_tests/test_proxy_http-test_ForwardedConfig.$(OBJEXT) \
195	test_proxy_http-ForwardedConfig.$(OBJEXT) \
196	unit_tests/test_proxy_http-test_error_page_selection.$(OBJEXT) \
197	test_proxy_http-HttpBodyFactory.$(OBJEXT)
198test_proxy_http_OBJECTS = $(am_test_proxy_http_OBJECTS)
199test_proxy_http_DEPENDENCIES =  \
200	$(top_builddir)/src/tscpp/util/libtscpputil.la \
201	$(top_builddir)/src/tscore/libtscore.la \
202	$(top_builddir)/proxy/hdrs/libhdrs.a \
203	$(top_builddir)/iocore/eventsystem/libinkevent.a \
204	$(top_builddir)/proxy/logging/liblogging.a \
205	$(top_builddir)/lib/records/librecords_p.a \
206	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
207	$(top_builddir)/mgmt/libmgmt_p.la \
208	$(top_builddir)/iocore/utils/libinkutils.a
209AM_V_lt = $(am__v_lt_@AM_V@)
210am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
211am__v_lt_0 = --silent
212am__v_lt_1 =
213AM_V_P = $(am__v_P_@AM_V@)
214am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
215am__v_P_0 = false
216am__v_P_1 = :
217AM_V_GEN = $(am__v_GEN_@AM_V@)
218am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
219am__v_GEN_0 = @echo "  GEN     " $@;
220am__v_GEN_1 =
221AM_V_at = $(am__v_at_@AM_V@)
222am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
223am__v_at_0 = @
224am__v_at_1 =
225DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
226depcomp = $(SHELL) $(top_srcdir)/build/_aux/depcomp
227am__maybe_remake_depfiles = depfiles
228am__depfiles_remade = ./$(DEPDIR)/ForwardedConfig.Po \
229	./$(DEPDIR)/Http1ClientSession.Po \
230	./$(DEPDIR)/Http1ServerSession.Po \
231	./$(DEPDIR)/Http1Transaction.Po ./$(DEPDIR)/HttpBodyFactory.Po \
232	./$(DEPDIR)/HttpCacheSM.Po ./$(DEPDIR)/HttpConfig.Po \
233	./$(DEPDIR)/HttpConnectionCount.Po \
234	./$(DEPDIR)/HttpDebugNames.Po ./$(DEPDIR)/HttpPages.Po \
235	./$(DEPDIR)/HttpProxyServerMain.Po ./$(DEPDIR)/HttpSM.Po \
236	./$(DEPDIR)/HttpSessionAccept.Po \
237	./$(DEPDIR)/HttpSessionManager.Po ./$(DEPDIR)/HttpTransact.Po \
238	./$(DEPDIR)/HttpTransactCache.Po \
239	./$(DEPDIR)/HttpTransactHeaders.Po ./$(DEPDIR)/HttpTunnel.Po \
240	./$(DEPDIR)/RegressionHttpTransact.Po \
241	./$(DEPDIR)/test_proxy_http-ForwardedConfig.Po \
242	./$(DEPDIR)/test_proxy_http-HttpBodyFactory.Po \
243	unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po \
244	unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po \
245	unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po
246am__mv = mv -f
247CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
248	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
249LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
250	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
251	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
252	$(AM_CXXFLAGS) $(CXXFLAGS)
253AM_V_CXX = $(am__v_CXX_@AM_V@)
254am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
255am__v_CXX_0 = @echo "  CXX     " $@;
256am__v_CXX_1 =
257CXXLD = $(CXX)
258CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
259	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
260	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
261AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
262am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
263am__v_CXXLD_0 = @echo "  CXXLD   " $@;
264am__v_CXXLD_1 =
265COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
266	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
267LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
268	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
269	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
270	$(AM_CFLAGS) $(CFLAGS)
271AM_V_CC = $(am__v_CC_@AM_V@)
272am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
273am__v_CC_0 = @echo "  CC      " $@;
274am__v_CC_1 =
275CCLD = $(CC)
276LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
277	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
278	$(AM_LDFLAGS) $(LDFLAGS) -o $@
279AM_V_CCLD = $(am__v_CCLD_@AM_V@)
280am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
281am__v_CCLD_0 = @echo "  CCLD    " $@;
282am__v_CCLD_1 =
283SOURCES = $(libhttp_a_SOURCES) $(test_proxy_http_SOURCES)
284DIST_SOURCES = $(am__libhttp_a_SOURCES_DIST) \
285	$(test_proxy_http_SOURCES)
286RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
287	ctags-recursive dvi-recursive html-recursive info-recursive \
288	install-data-recursive install-dvi-recursive \
289	install-exec-recursive install-html-recursive \
290	install-info-recursive install-pdf-recursive \
291	install-ps-recursive install-recursive installcheck-recursive \
292	installdirs-recursive pdf-recursive ps-recursive \
293	tags-recursive uninstall-recursive
294am__can_run_installinfo = \
295  case $$AM_UPDATE_INFO_DIR in \
296    n|no|NO) false;; \
297    *) (install-info --version) >/dev/null 2>&1;; \
298  esac
299HEADERS = $(noinst_HEADERS)
300RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
301  distclean-recursive maintainer-clean-recursive
302am__recursive_targets = \
303  $(RECURSIVE_TARGETS) \
304  $(RECURSIVE_CLEAN_TARGETS) \
305  $(am__extra_recursive_targets)
306AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
307	check recheck distdir distdir-am
308am__extra_recursive_targets = clang-tidy-recursive
309am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
310# Read a list of newline-separated strings from the standard input,
311# and print each of them once, without duplicates.  Input order is
312# *not* preserved.
313am__uniquify_input = $(AWK) '\
314  BEGIN { nonempty = 0; } \
315  { items[$$0] = 1; nonempty = 1; } \
316  END { if (nonempty) { for (i in items) print i; }; } \
317'
318# Make sure the list of sources is unique.  This is necessary because,
319# e.g., the same source file might be shared among _SOURCES variables
320# for different programs/libraries.
321am__define_uniq_tagged_files = \
322  list='$(am__tagged_files)'; \
323  unique=`for i in $$list; do \
324    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
325  done | $(am__uniquify_input)`
326ETAGS = etags
327CTAGS = ctags
328am__tty_colors_dummy = \
329  mgn= red= grn= lgn= blu= brg= std=; \
330  am__color_tests=no
331am__tty_colors = { \
332  $(am__tty_colors_dummy); \
333  if test "X$(AM_COLOR_TESTS)" = Xno; then \
334    am__color_tests=no; \
335  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
336    am__color_tests=yes; \
337  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
338    am__color_tests=yes; \
339  fi; \
340  if test $$am__color_tests = yes; then \
341    red=''; \
342    grn=''; \
343    lgn=''; \
344    blu=''; \
345    mgn=''; \
346    brg=''; \
347    std=''; \
348  fi; \
349}
350am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
351am__vpath_adj = case $$p in \
352    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
353    *) f=$$p;; \
354  esac;
355am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
356am__install_max = 40
357am__nobase_strip_setup = \
358  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
359am__nobase_strip = \
360  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
361am__nobase_list = $(am__nobase_strip_setup); \
362  for p in $$list; do echo "$$p $$p"; done | \
363  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
364  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
365    if (++n[$$2] == $(am__install_max)) \
366      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
367    END { for (dir in files) print dir, files[dir] }'
368am__base_list = \
369  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
370  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
371am__uninstall_files_from_dir = { \
372  test -z "$$files" \
373    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
374    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
375         $(am__cd) "$$dir" && rm -f $$files; }; \
376  }
377am__recheck_rx = ^[ 	]*:recheck:[ 	]*
378am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
379am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
380# A command that, given a newline-separated list of test names on the
381# standard input, print the name of the tests that are to be re-run
382# upon "make recheck".
383am__list_recheck_tests = $(AWK) '{ \
384  recheck = 1; \
385  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
386    { \
387      if (rc < 0) \
388        { \
389          if ((getline line2 < ($$0 ".log")) < 0) \
390	    recheck = 0; \
391          break; \
392        } \
393      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
394        { \
395          recheck = 0; \
396          break; \
397        } \
398      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
399        { \
400          break; \
401        } \
402    }; \
403  if (recheck) \
404    print $$0; \
405  close ($$0 ".trs"); \
406  close ($$0 ".log"); \
407}'
408# A command that, given a newline-separated list of test names on the
409# standard input, create the global log from their .trs and .log files.
410am__create_global_log = $(AWK) ' \
411function fatal(msg) \
412{ \
413  print "fatal: making $@: " msg | "cat >&2"; \
414  exit 1; \
415} \
416function rst_section(header) \
417{ \
418  print header; \
419  len = length(header); \
420  for (i = 1; i <= len; i = i + 1) \
421    printf "="; \
422  printf "\n\n"; \
423} \
424{ \
425  copy_in_global_log = 1; \
426  global_test_result = "RUN"; \
427  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
428    { \
429      if (rc < 0) \
430         fatal("failed to read from " $$0 ".trs"); \
431      if (line ~ /$(am__global_test_result_rx)/) \
432        { \
433          sub("$(am__global_test_result_rx)", "", line); \
434          sub("[ 	]*$$", "", line); \
435          global_test_result = line; \
436        } \
437      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
438        copy_in_global_log = 0; \
439    }; \
440  if (copy_in_global_log) \
441    { \
442      rst_section(global_test_result ": " $$0); \
443      while ((rc = (getline line < ($$0 ".log"))) != 0) \
444      { \
445        if (rc < 0) \
446          fatal("failed to read from " $$0 ".log"); \
447        print line; \
448      }; \
449      printf "\n"; \
450    }; \
451  close ($$0 ".trs"); \
452  close ($$0 ".log"); \
453}'
454# Restructured Text title.
455am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
456# Solaris 10 'make', and several other traditional 'make' implementations,
457# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
458# by disabling -e (using the XSI extension "set +e") if it's set.
459am__sh_e_setup = case $$- in *e*) set +e;; esac
460# Default flags passed to test drivers.
461am__common_driver_flags = \
462  --color-tests "$$am__color_tests" \
463  --enable-hard-errors "$$am__enable_hard_errors" \
464  --expect-failure "$$am__expect_failure"
465# To be inserted before the command running the test.  Creates the
466# directory for the log if needed.  Stores in $dir the directory
467# containing $f, in $tst the test, in $log the log.  Executes the
468# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
469# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
470# will run the test scripts (or their associated LOG_COMPILER, if
471# thy have one).
472am__check_pre = \
473$(am__sh_e_setup);					\
474$(am__vpath_adj_setup) $(am__vpath_adj)			\
475$(am__tty_colors);					\
476srcdir=$(srcdir); export srcdir;			\
477case "$@" in						\
478  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
479    *) am__odir=.;; 					\
480esac;							\
481test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
482  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
483if test -f "./$$f"; then dir=./;			\
484elif test -f "$$f"; then dir=;				\
485else dir="$(srcdir)/"; fi;				\
486tst=$$dir$$f; log='$@'; 				\
487if test -n '$(DISABLE_HARD_ERRORS)'; then		\
488  am__enable_hard_errors=no; 				\
489else							\
490  am__enable_hard_errors=yes; 				\
491fi; 							\
492case " $(XFAIL_TESTS) " in				\
493  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
494    am__expect_failure=yes;;				\
495  *)							\
496    am__expect_failure=no;;				\
497esac; 							\
498$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
499# A shell command to get the names of the tests scripts with any registered
500# extension removed (i.e., equivalently, the names of the test logs, with
501# the '.log' extension removed).  The result is saved in the shell variable
502# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
503# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
504# since that might cause problem with VPATH rewrites for suffix-less tests.
505# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
506am__set_TESTS_bases = \
507  bases='$(TEST_LOGS)'; \
508  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
509  bases=`echo $$bases`
510RECHECK_LOGS = $(TEST_LOGS)
511TEST_SUITE_LOG = test-suite.log
512TEST_EXTENSIONS = @EXEEXT@ .test
513LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
514LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
515am__set_b = \
516  case '$@' in \
517    */*) \
518      case '$*' in \
519        */*) b='$*';; \
520          *) b=`echo '$@' | sed 's/\.log$$//'`; \
521       esac;; \
522    *) \
523      b='$*';; \
524  esac
525am__test_logs1 = $(TESTS:=.log)
526am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
527TEST_LOGS = $(am__test_logs2:.test.log=.log)
528TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
529TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
530	$(TEST_LOG_FLAGS)
531DIST_SUBDIRS = $(SUBDIRS)
532am__DIST_COMMON = $(srcdir)/Makefile.in \
533	$(top_srcdir)/build/_aux/depcomp \
534	$(top_srcdir)/build/_aux/test-driver \
535	$(top_srcdir)/build/tidy.mk
536DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
537am__relativize = \
538  dir0=`pwd`; \
539  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
540  sed_rest='s,^[^/]*/*,,'; \
541  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
542  sed_butlast='s,/*[^/]*$$,,'; \
543  while test -n "$$dir1"; do \
544    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
545    if test "$$first" != "."; then \
546      if test "$$first" = ".."; then \
547        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
548        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
549      else \
550        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
551        if test "$$first2" = "$$first"; then \
552          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
553        else \
554          dir2="../$$dir2"; \
555        fi; \
556        dir0="$$dir0"/"$$first"; \
557      fi; \
558    fi; \
559    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
560  done; \
561  reldir="$$dir2"
562pkgdatadir = @pkgdatadir@
563pkglibdir = @pkglibdir@
564pkglibexecdir = @pkglibexecdir@
565ACLOCAL = @ACLOCAL@
566AMTAR = @AMTAR@
567AM_CFLAGS = @AM_CFLAGS@
568AM_CPPFLAGS = @AM_CPPFLAGS@ $(iocore_include_dirs) \
569	-I$(abs_top_srcdir)/proxy -I$(abs_top_srcdir)/include \
570	-I$(abs_top_srcdir)/lib -I$(abs_top_srcdir)/mgmt \
571	-I$(abs_top_srcdir)/mgmt/utils -I$(abs_top_srcdir)/proxy/hdrs \
572	-I$(abs_top_srcdir)/proxy/shared \
573	-I$(abs_top_srcdir)/proxy/http/remap \
574	-I$(abs_top_srcdir)/proxy/logging \
575	-I$(abs_top_srcdir)/proxy/http2 \
576	-I$(abs_top_srcdir)/proxy/http3 $(TS_INCLUDES) \
577	@YAMLCPP_INCLUDES@ $(am__empty)
578AM_CXXFLAGS = @AM_CXXFLAGS@
579AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
580AM_LDFLAGS = @AM_LDFLAGS@
581AR = @AR@
582ASCPP = @ASCPP@
583ATOMIC_LIBS = @ATOMIC_LIBS@
584AUTOCONF = @AUTOCONF@
585AUTOHEADER = @AUTOHEADER@
586AUTOMAKE = @AUTOMAKE@
587AWK = @AWK@
588BORINGOCSP_INCLUDES = @BORINGOCSP_INCLUDES@
589BORINGOCSP_LDFLAGS = @BORINGOCSP_LDFLAGS@
590BORINGOCSP_LIBS = @BORINGOCSP_LIBS@
591BROTLIENC_CFLAGS = @BROTLIENC_CFLAGS@
592BROTLIENC_LIB = @BROTLIENC_LIB@
593CC = @CC@
594CCACHE = @CCACHE@
595CCAS = @CCAS@
596CCASDEPMODE = @CCASDEPMODE@
597CCASFLAGS = @CCASFLAGS@
598CCDEPMODE = @CCDEPMODE@
599CFLAGS = @CFLAGS@
600CFLAGS_HIREDIS = @CFLAGS_HIREDIS@
601CLANG_TIDY = @CLANG_TIDY@
602CPP = @CPP@
603CPPFLAGS = @CPPFLAGS@
604CURL_CFLAGS = @CURL_CFLAGS@
605CURL_CONFIG = @CURL_CONFIG@
606CURL_LIBS = @CURL_LIBS@
607CURSES_CFLAGS = @CURSES_CFLAGS@
608CURSES_LDFLAGS = @CURSES_LDFLAGS@
609CURSES_LIBS = @CURSES_LIBS@
610CXX = @CXX@
611CXXCPP = @CXXCPP@
612CXXDEPMODE = @CXXDEPMODE@
613CXXFLAGS = @CXXFLAGS@
614CYGPATH_W = @CYGPATH_W@
615DEFS = @DEFS@
616DEPDIR = @DEPDIR@
617DLLTOOL = @DLLTOOL@
618DOXYGEN = @DOXYGEN@
619DSYMUTIL = @DSYMUTIL@
620DTRACE = @DTRACE@
621DUMPBIN = @DUMPBIN@
622ECHO_C = @ECHO_C@
623ECHO_N = @ECHO_N@
624ECHO_T = @ECHO_T@
625EGREP = @EGREP@
626EXEEXT = @EXEEXT@
627FGREP = @FGREP@
628FLEX_CFLAGS = @FLEX_CFLAGS@
629GEOIP_LIBS = @GEOIP_LIBS@
630GREP = @GREP@
631HOST_GUESS = @HOST_GUESS@
632HWLOC_CFLAGS = @HWLOC_CFLAGS@
633HWLOC_LIBS = @HWLOC_LIBS@
634INSTALL = @INSTALL@
635INSTALL_DATA = @INSTALL_DATA@
636INSTALL_PROGRAM = @INSTALL_PROGRAM@
637INSTALL_SCRIPT = @INSTALL_SCRIPT@
638INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
639JAVA = @JAVA@
640LD = @LD@
641LDFLAGS = @LDFLAGS@
642LEX = @LEX@
643LEXLIB = @LEXLIB@
644LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
645LIBBROTLIENC_CFLAGS = @LIBBROTLIENC_CFLAGS@
646LIBBROTLIENC_LIBS = @LIBBROTLIENC_LIBS@
647LIBCAP = @LIBCAP@
648LIBCJOSE = @LIBCJOSE@
649LIBCRYPT = @LIBCRYPT@
650LIBJANSSON = @LIBJANSSON@
651LIBLZMA = @LIBLZMA@
652LIBMAGICKCPP_CFLAGS = @LIBMAGICKCPP_CFLAGS@
653LIBMAGICKCPP_LIBS = @LIBMAGICKCPP_LIBS@
654LIBOBJS = @LIBOBJS@
655LIBPCRE = @LIBPCRE@
656LIBPROFILER = @LIBPROFILER@
657LIBREADLINE = @LIBREADLINE@
658LIBRESOLV = @LIBRESOLV@
659LIBS = @LIBS@
660LIBTOOL = @LIBTOOL@
661LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
662LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
663LIBZ = @LIBZ@
664LIB_HIREDIS = @LIB_HIREDIS@
665LIB_KYOTOCABINET = @LIB_KYOTOCABINET@
666LIB_MYSQLCLIENT = @LIB_MYSQLCLIENT@
667LIPO = @LIPO@
668LN_S = @LN_S@
669LTLIBOBJS = @LTLIBOBJS@
670LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
671LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
672LUAJIT_CPPFLAGS = @LUAJIT_CPPFLAGS@
673LUAJIT_DARWIN_LDFLAGS = @LUAJIT_DARWIN_LDFLAGS@
674LUAJIT_LDFLAGS = @LUAJIT_LDFLAGS@
675LUAJIT_LIBS = @LUAJIT_LIBS@
676MAINT = @MAINT@
677MAKEINFO = @MAKEINFO@
678MANIFEST_TOOL = @MANIFEST_TOOL@
679MAXMINDDB_LIBS = @MAXMINDDB_LIBS@
680MKDIR_P = @MKDIR_P@
681NM = @NM@
682NMEDIT = @NMEDIT@
683OBJDUMP = @OBJDUMP@
684OBJEXT = @OBJEXT@
685OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
686OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
687OPENSSL_LIBS = @OPENSSL_LIBS@
688OTOOL = @OTOOL@
689OTOOL64 = @OTOOL64@
690PACKAGE = @PACKAGE@
691PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
692PACKAGE_NAME = @PACKAGE_NAME@
693PACKAGE_STRING = @PACKAGE_STRING@
694PACKAGE_TARNAME = @PACKAGE_TARNAME@
695PACKAGE_URL = @PACKAGE_URL@
696PACKAGE_VERSION = @PACKAGE_VERSION@
697PATH_SEPARATOR = @PATH_SEPARATOR@
698PCRE_CONFIG = @PCRE_CONFIG@
699PERL = @PERL@
700PKG_CONFIG = @PKG_CONFIG@
701PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
702PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
703PYTHON = @PYTHON@
704PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
705PYTHON_PLATFORM = @PYTHON_PLATFORM@
706PYTHON_PREFIX = @PYTHON_PREFIX@
707PYTHON_VERSION = @PYTHON_VERSION@
708RANLIB = @RANLIB@
709RM = @RM@
710RPATH = @RPATH@
711SED = @SED@
712SET_MAKE = @SET_MAKE@
713SHELL = @SHELL@
714SPHINXBUILD = @SPHINXBUILD@
715SPHINXOPTS = @SPHINXOPTS@
716STRIP = @STRIP@
717TS_INCLUDES = @TS_INCLUDES@
718TS_LIBTOOL_VERSION = @TS_LIBTOOL_VERSION@
719TS_MAN1_MANPAGES = @TS_MAN1_MANPAGES@
720TS_MAN3_MANPAGES = @TS_MAN3_MANPAGES@
721TS_MAN5_MANPAGES = @TS_MAN5_MANPAGES@
722TS_MAN8_MANPAGES = @TS_MAN8_MANPAGES@
723TS_VERSION_MAJOR = @TS_VERSION_MAJOR@
724TS_VERSION_MICRO = @TS_VERSION_MICRO@
725TS_VERSION_MINOR = @TS_VERSION_MINOR@
726TS_VERSION_NUMBER = @TS_VERSION_NUMBER@
727TS_VERSION_STRING = @TS_VERSION_STRING@
728VERSION = @VERSION@
729YACC = @YACC@
730YAMLCPP_INCLUDES = @YAMLCPP_INCLUDES@
731YAMLCPP_LDFLAGS = @YAMLCPP_LDFLAGS@
732YAMLCPP_LIBS = @YAMLCPP_LIBS@
733abs_builddir = @abs_builddir@
734abs_srcdir = @abs_srcdir@
735abs_top_builddir = @abs_top_builddir@
736abs_top_srcdir = @abs_top_srcdir@
737ac_ct_AR = @ac_ct_AR@
738ac_ct_CC = @ac_ct_CC@
739ac_ct_CXX = @ac_ct_CXX@
740ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
741am__include = @am__include@
742am__leading_dot = @am__leading_dot@
743am__quote = @am__quote@
744am__tar = @am__tar@
745am__untar = @am__untar@
746bindir = @bindir@
747build = @build@
748build_alias = @build_alias@
749build_cpu = @build_cpu@
750build_group = @build_group@
751build_machine = @build_machine@
752build_number = @build_number@
753build_os = @build_os@
754build_person = @build_person@
755build_vendor = @build_vendor@
756builddir = @builddir@
757cachedir = @cachedir@
758datadir = @datadir@
759datarootdir = @datarootdir@
760default_loopback_iface = @default_loopback_iface@
761default_stack_size = @default_stack_size@
762docdir = @docdir@
763dvidir = @dvidir@
764enable_fips = @enable_fips@
765enable_remote_cov_commit = @enable_remote_cov_commit@
766exec_prefix = @exec_prefix@
767exp_bindir = @exp_bindir@
768exp_cachedir = @exp_cachedir@
769exp_datadir = @exp_datadir@
770exp_docdir = @exp_docdir@
771exp_exec_prefix = @exp_exec_prefix@
772exp_includedir = @exp_includedir@
773exp_infodir = @exp_infodir@
774exp_installbuilddir = @exp_installbuilddir@
775exp_libdir = @exp_libdir@
776exp_libexecdir = @exp_libexecdir@
777exp_localstatedir = @exp_localstatedir@
778exp_logdir = @exp_logdir@
779exp_mandir = @exp_mandir@
780exp_prefix = @exp_prefix@
781exp_runtimedir = @exp_runtimedir@
782exp_sbindir = @exp_sbindir@
783exp_sysconfdir = @exp_sysconfdir@
784has_128bit_cas = @has_128bit_cas@
785has_backtrace = @has_backtrace@
786has_boringocsp = @has_boringocsp@
787has_expensive_tests = @has_expensive_tests@
788has_geoip = @has_geoip@
789has_in6_is_addr_unspecified = @has_in6_is_addr_unspecified@
790has_ip_tos = @has_ip_tos@
791has_kyotocabinet = @has_kyotocabinet@
792has_luajit = @has_luajit@
793has_maxminddb = @has_maxminddb@
794has_mysql = @has_mysql@
795has_profiler = @has_profiler@
796has_so_mark = @has_so_mark@
797has_so_peercred = @has_so_peercred@
798has_tcmalloc = @has_tcmalloc@
799has_tests = @has_tests@
800has_tls_early_data = @has_tls_early_data@
801has_tls_session_ticket = @has_tls_session_ticket@
802has_wccp = @has_wccp@
803host = @host@
804host_alias = @host_alias@
805host_cpu = @host_cpu@
806host_os = @host_os@
807host_vendor = @host_vendor@
808htmldir = @htmldir@
809includedir = @includedir@
810infodir = @infodir@
811install_sh = @install_sh@
812installbuilddir = @installbuilddir@
813iocore_include_dirs = @iocore_include_dirs@
814ip_transparent = @ip_transparent@
815jemalloch = @jemalloch@
816libdir = @libdir@
817libexecdir = @libexecdir@
818localedir = @localedir@
819localstatedir = @localstatedir@
820logdir = @logdir@
821mandir = @mandir@
822max_event_threads = @max_event_threads@
823max_host_name_len = @max_host_name_len@
824max_threads_per_type = @max_threads_per_type@
825mkdir_p = @mkdir_p@
826oldincludedir = @oldincludedir@
827pdfdir = @pdfdir@
828pkgbindir = @pkgbindir@
829pkgcachedir = @pkgcachedir@
830pkgdocdir = @pkgdocdir@
831pkglocalstatedir = @pkglocalstatedir@
832pkglogdir = @pkglogdir@
833pkgpyexecdir = @pkgpyexecdir@
834pkgpythondir = @pkgpythondir@
835pkgruntimedir = @pkgruntimedir@
836pkgsbindir = @pkgsbindir@
837pkgsysconfdir = @pkgsysconfdir@
838pkgsysgroup = @pkgsysgroup@
839pkgsysuser = @pkgsysuser@
840prefix = @prefix@
841program_transform_name = @program_transform_name@
842psdir = @psdir@
843pyexecdir = @pyexecdir@
844pythondir = @pythondir@
845rel_bindir = @rel_bindir@
846rel_cachedir = @rel_cachedir@
847rel_datadir = @rel_datadir@
848rel_docdir = @rel_docdir@
849rel_exec_prefix = @rel_exec_prefix@
850rel_includedir = @rel_includedir@
851rel_infodir = @rel_infodir@
852rel_installbuilddir = @rel_installbuilddir@
853rel_libdir = @rel_libdir@
854rel_libexecdir = @rel_libexecdir@
855rel_localstatedir = @rel_localstatedir@
856rel_logdir = @rel_logdir@
857rel_mandir = @rel_mandir@
858rel_prefix = @rel_prefix@
859rel_runtimedir = @rel_runtimedir@
860rel_sbindir = @rel_sbindir@
861rel_sysconfdir = @rel_sysconfdir@
862runstatedir = @runstatedir@
863runtimedir = @runtimedir@
864sbindir = @sbindir@
865sharedstatedir = @sharedstatedir@
866srcdir = @srcdir@
867sysconfdir = @sysconfdir@
868target_alias = @target_alias@
869top_build_prefix = @top_build_prefix@
870top_builddir = @top_builddir@
871top_srcdir = @top_srcdir@
872use_boringocsp = @use_boringocsp@
873use_dh_get_2048_256 = @use_dh_get_2048_256@
874use_diags = @use_diags@
875use_epoll = @use_epoll@
876use_fast_sdk = @use_fast_sdk@
877use_hello_cb = @use_hello_cb@
878use_hkdf = @use_hkdf@
879use_hrw_geoip = @use_hrw_geoip@
880use_hrw_maxminddb = @use_hrw_maxminddb@
881use_hwloc = @use_hwloc@
882use_kqueue = @use_kqueue@
883use_linux_native_aio = @use_linux_native_aio@
884use_port = @use_port@
885use_posix_cap = @use_posix_cap@
886use_quic = @use_quic@
887use_remote_unwinding = @use_remote_unwinding@
888use_set_rbio = @use_set_rbio@
889use_tls13 = @use_tls13@
890use_tls_async = @use_tls_async@
891use_tls_ocsp = @use_tls_ocsp@
892use_tls_set_ciphersuites = @use_tls_set_ciphersuites@
893use_tproxy = @use_tproxy@
894Clang_Tidy_Options = -fix -fix-errors
895
896# Sort the filenames to remove duplicates, then filter to retain
897# just the C and C++ sources so we don't pick up lex and yacc files
898# for example.
899Clang_Tidy_CC_Files = $(filter %.c, $(sort $^))
900Clang_Tidy_CXX_Files = $(filter %.cc, $(sort $^))
901
902# clang-tidy rules. We expect these to be actions with something like
903# $(DIST_SOURCES) as the dependencies.rules. Note that $DIST_SOURCES
904# is not an automake API, it is an implementation detail, but it ought
905# to be stable enough.
906#
907# All this clearly requires GNU make.
908CXX_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CXX_Files) -- $(CXXCOMPILE) -x c++
909CC_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CC_Files) -- $(COMPILE) -x c
910SUBDIRS = remap
911noinst_HEADERS = HttpProxyServerMain.h
912noinst_LIBRARIES = libhttp.a
913libhttp_a_SOURCES = HttpSessionAccept.cc HttpSessionAccept.h \
914	HttpBodyFactory.cc HttpBodyFactory.h HttpCacheSM.cc \
915	HttpCacheSM.h Http1ClientSession.cc Http1ClientSession.h \
916	Http1Transaction.cc Http1Transaction.h HttpConfig.cc \
917	HttpConfig.h HttpConnectionCount.cc HttpConnectionCount.h \
918	HttpDebugNames.cc HttpDebugNames.h HttpPages.cc HttpPages.h \
919	HttpProxyServerMain.cc HttpProxyServerMain.h HttpSM.cc \
920	HttpSM.h Http1ServerSession.cc Http1ServerSession.h \
921	HttpSessionManager.cc HttpSessionManager.h HttpTransact.cc \
922	HttpTransact.h HttpTransactCache.cc HttpTransactCache.h \
923	HttpTransactHeaders.cc HttpTransactHeaders.h HttpTunnel.cc \
924	HttpTunnel.h ForwardedConfig.cc $(am__append_1)
925TESTS = $(check_PROGRAMS)
926test_proxy_http_CPPFLAGS = $(AM_CPPFLAGS)\
927	-I$(abs_top_srcdir)/tests/include
928
929test_proxy_http_SOURCES = \
930	unit_tests/unit_test_main.cc \
931	unit_tests/test_ForwardedConfig.cc \
932	ForwardedConfig.cc \
933	unit_tests/test_error_page_selection.cc \
934	HttpBodyFactory.cc \
935	HttpBodyFactory.h
936
937test_proxy_http_LDADD = \
938	$(top_builddir)/src/tscpp/util/libtscpputil.la \
939	$(top_builddir)/src/tscore/libtscore.la \
940	$(top_builddir)/proxy/hdrs/libhdrs.a \
941	$(top_builddir)/iocore/eventsystem/libinkevent.a \
942	$(top_builddir)/proxy/logging/liblogging.a \
943	$(top_builddir)/lib/records/librecords_p.a \
944	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
945	$(top_builddir)/mgmt/libmgmt_p.la \
946	$(top_builddir)/iocore/utils/libinkutils.a \
947	@HWLOC_LIBS@ \
948	@LIBCAP@
949
950all: all-recursive
951
952.SUFFIXES:
953.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
954$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/tidy.mk $(am__configure_deps)
955	@for dep in $?; do \
956	  case '$(am__configure_deps)' in \
957	    *$$dep*) \
958	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
959	        && { if test -f $@; then exit 0; else break; fi; }; \
960	      exit 1;; \
961	  esac; \
962	done; \
963	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign proxy/http/Makefile'; \
964	$(am__cd) $(top_srcdir) && \
965	  $(AUTOMAKE) --foreign proxy/http/Makefile
966Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
967	@case '$?' in \
968	  *config.status*) \
969	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
970	  *) \
971	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
972	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
973	esac;
974$(top_srcdir)/build/tidy.mk $(am__empty):
975
976$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
977	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
978
979$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
980	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
981$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
982	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
983$(am__aclocal_m4_deps):
984
985clean-checkPROGRAMS:
986	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
987	echo " rm -f" $$list; \
988	rm -f $$list || exit $$?; \
989	test -n "$(EXEEXT)" || exit 0; \
990	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
991	echo " rm -f" $$list; \
992	rm -f $$list
993
994clean-noinstLIBRARIES:
995	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
996
997libhttp.a: $(libhttp_a_OBJECTS) $(libhttp_a_DEPENDENCIES) $(EXTRA_libhttp_a_DEPENDENCIES)
998	$(AM_V_at)-rm -f libhttp.a
999	$(AM_V_AR)$(libhttp_a_AR) libhttp.a $(libhttp_a_OBJECTS) $(libhttp_a_LIBADD)
1000	$(AM_V_at)$(RANLIB) libhttp.a
1001unit_tests/$(am__dirstamp):
1002	@$(MKDIR_P) unit_tests
1003	@: > unit_tests/$(am__dirstamp)
1004unit_tests/$(DEPDIR)/$(am__dirstamp):
1005	@$(MKDIR_P) unit_tests/$(DEPDIR)
1006	@: > unit_tests/$(DEPDIR)/$(am__dirstamp)
1007unit_tests/test_proxy_http-unit_test_main.$(OBJEXT):  \
1008	unit_tests/$(am__dirstamp) \
1009	unit_tests/$(DEPDIR)/$(am__dirstamp)
1010unit_tests/test_proxy_http-test_ForwardedConfig.$(OBJEXT):  \
1011	unit_tests/$(am__dirstamp) \
1012	unit_tests/$(DEPDIR)/$(am__dirstamp)
1013unit_tests/test_proxy_http-test_error_page_selection.$(OBJEXT):  \
1014	unit_tests/$(am__dirstamp) \
1015	unit_tests/$(DEPDIR)/$(am__dirstamp)
1016
1017test_proxy_http$(EXEEXT): $(test_proxy_http_OBJECTS) $(test_proxy_http_DEPENDENCIES) $(EXTRA_test_proxy_http_DEPENDENCIES)
1018	@rm -f test_proxy_http$(EXEEXT)
1019	$(AM_V_CXXLD)$(CXXLINK) $(test_proxy_http_OBJECTS) $(test_proxy_http_LDADD) $(LIBS)
1020
1021mostlyclean-compile:
1022	-rm -f *.$(OBJEXT)
1023	-rm -f unit_tests/*.$(OBJEXT)
1024
1025distclean-compile:
1026	-rm -f *.tab.c
1027
1028@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ForwardedConfig.Po@am__quote@ # am--include-marker
1029@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Http1ClientSession.Po@am__quote@ # am--include-marker
1030@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Http1ServerSession.Po@am__quote@ # am--include-marker
1031@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Http1Transaction.Po@am__quote@ # am--include-marker
1032@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpBodyFactory.Po@am__quote@ # am--include-marker
1033@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpCacheSM.Po@am__quote@ # am--include-marker
1034@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpConfig.Po@am__quote@ # am--include-marker
1035@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpConnectionCount.Po@am__quote@ # am--include-marker
1036@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpDebugNames.Po@am__quote@ # am--include-marker
1037@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpPages.Po@am__quote@ # am--include-marker
1038@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpProxyServerMain.Po@am__quote@ # am--include-marker
1039@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpSM.Po@am__quote@ # am--include-marker
1040@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpSessionAccept.Po@am__quote@ # am--include-marker
1041@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpSessionManager.Po@am__quote@ # am--include-marker
1042@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpTransact.Po@am__quote@ # am--include-marker
1043@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpTransactCache.Po@am__quote@ # am--include-marker
1044@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpTransactHeaders.Po@am__quote@ # am--include-marker
1045@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpTunnel.Po@am__quote@ # am--include-marker
1046@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/RegressionHttpTransact.Po@am__quote@ # am--include-marker
1047@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_proxy_http-ForwardedConfig.Po@am__quote@ # am--include-marker
1048@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_proxy_http-HttpBodyFactory.Po@am__quote@ # am--include-marker
1049@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po@am__quote@ # am--include-marker
1050@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po@am__quote@ # am--include-marker
1051@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po@am__quote@ # am--include-marker
1052
1053$(am__depfiles_remade):
1054	@$(MKDIR_P) $(@D)
1055	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
1056
1057am--depfiles: $(am__depfiles_remade)
1058
1059.cc.o:
1060@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1061@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1062@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1063@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1064@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1065@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1066
1067.cc.obj:
1068@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1069@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1070@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1071@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1072@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1073@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1074
1075.cc.lo:
1076@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1077@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1078@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
1079@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1080@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1081@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1082
1083unit_tests/test_proxy_http-unit_test_main.o: unit_tests/unit_test_main.cc
1084@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-unit_test_main.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Tpo -c -o unit_tests/test_proxy_http-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1085@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po
1086@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_proxy_http-unit_test_main.o' libtool=no @AMDEPBACKSLASH@
1087@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1089
1090unit_tests/test_proxy_http-unit_test_main.obj: unit_tests/unit_test_main.cc
1091@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-unit_test_main.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Tpo -c -o unit_tests/test_proxy_http-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1092@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po
1093@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_proxy_http-unit_test_main.obj' libtool=no @AMDEPBACKSLASH@
1094@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1096
1097unit_tests/test_proxy_http-test_ForwardedConfig.o: unit_tests/test_ForwardedConfig.cc
1098@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-test_ForwardedConfig.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Tpo -c -o unit_tests/test_proxy_http-test_ForwardedConfig.o `test -f 'unit_tests/test_ForwardedConfig.cc' || echo '$(srcdir)/'`unit_tests/test_ForwardedConfig.cc
1099@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Tpo unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po
1100@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_ForwardedConfig.cc' object='unit_tests/test_proxy_http-test_ForwardedConfig.o' libtool=no @AMDEPBACKSLASH@
1101@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-test_ForwardedConfig.o `test -f 'unit_tests/test_ForwardedConfig.cc' || echo '$(srcdir)/'`unit_tests/test_ForwardedConfig.cc
1103
1104unit_tests/test_proxy_http-test_ForwardedConfig.obj: unit_tests/test_ForwardedConfig.cc
1105@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-test_ForwardedConfig.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Tpo -c -o unit_tests/test_proxy_http-test_ForwardedConfig.obj `if test -f 'unit_tests/test_ForwardedConfig.cc'; then $(CYGPATH_W) 'unit_tests/test_ForwardedConfig.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_ForwardedConfig.cc'; fi`
1106@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Tpo unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po
1107@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_ForwardedConfig.cc' object='unit_tests/test_proxy_http-test_ForwardedConfig.obj' libtool=no @AMDEPBACKSLASH@
1108@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-test_ForwardedConfig.obj `if test -f 'unit_tests/test_ForwardedConfig.cc'; then $(CYGPATH_W) 'unit_tests/test_ForwardedConfig.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_ForwardedConfig.cc'; fi`
1110
1111test_proxy_http-ForwardedConfig.o: ForwardedConfig.cc
1112@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_proxy_http-ForwardedConfig.o -MD -MP -MF $(DEPDIR)/test_proxy_http-ForwardedConfig.Tpo -c -o test_proxy_http-ForwardedConfig.o `test -f 'ForwardedConfig.cc' || echo '$(srcdir)/'`ForwardedConfig.cc
1113@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_proxy_http-ForwardedConfig.Tpo $(DEPDIR)/test_proxy_http-ForwardedConfig.Po
1114@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='ForwardedConfig.cc' object='test_proxy_http-ForwardedConfig.o' libtool=no @AMDEPBACKSLASH@
1115@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_proxy_http-ForwardedConfig.o `test -f 'ForwardedConfig.cc' || echo '$(srcdir)/'`ForwardedConfig.cc
1117
1118test_proxy_http-ForwardedConfig.obj: ForwardedConfig.cc
1119@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_proxy_http-ForwardedConfig.obj -MD -MP -MF $(DEPDIR)/test_proxy_http-ForwardedConfig.Tpo -c -o test_proxy_http-ForwardedConfig.obj `if test -f 'ForwardedConfig.cc'; then $(CYGPATH_W) 'ForwardedConfig.cc'; else $(CYGPATH_W) '$(srcdir)/ForwardedConfig.cc'; fi`
1120@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_proxy_http-ForwardedConfig.Tpo $(DEPDIR)/test_proxy_http-ForwardedConfig.Po
1121@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='ForwardedConfig.cc' object='test_proxy_http-ForwardedConfig.obj' libtool=no @AMDEPBACKSLASH@
1122@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_proxy_http-ForwardedConfig.obj `if test -f 'ForwardedConfig.cc'; then $(CYGPATH_W) 'ForwardedConfig.cc'; else $(CYGPATH_W) '$(srcdir)/ForwardedConfig.cc'; fi`
1124
1125unit_tests/test_proxy_http-test_error_page_selection.o: unit_tests/test_error_page_selection.cc
1126@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-test_error_page_selection.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Tpo -c -o unit_tests/test_proxy_http-test_error_page_selection.o `test -f 'unit_tests/test_error_page_selection.cc' || echo '$(srcdir)/'`unit_tests/test_error_page_selection.cc
1127@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Tpo unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po
1128@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_error_page_selection.cc' object='unit_tests/test_proxy_http-test_error_page_selection.o' libtool=no @AMDEPBACKSLASH@
1129@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-test_error_page_selection.o `test -f 'unit_tests/test_error_page_selection.cc' || echo '$(srcdir)/'`unit_tests/test_error_page_selection.cc
1131
1132unit_tests/test_proxy_http-test_error_page_selection.obj: unit_tests/test_error_page_selection.cc
1133@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_http-test_error_page_selection.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Tpo -c -o unit_tests/test_proxy_http-test_error_page_selection.obj `if test -f 'unit_tests/test_error_page_selection.cc'; then $(CYGPATH_W) 'unit_tests/test_error_page_selection.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_error_page_selection.cc'; fi`
1134@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Tpo unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po
1135@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_error_page_selection.cc' object='unit_tests/test_proxy_http-test_error_page_selection.obj' libtool=no @AMDEPBACKSLASH@
1136@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_http-test_error_page_selection.obj `if test -f 'unit_tests/test_error_page_selection.cc'; then $(CYGPATH_W) 'unit_tests/test_error_page_selection.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_error_page_selection.cc'; fi`
1138
1139test_proxy_http-HttpBodyFactory.o: HttpBodyFactory.cc
1140@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_proxy_http-HttpBodyFactory.o -MD -MP -MF $(DEPDIR)/test_proxy_http-HttpBodyFactory.Tpo -c -o test_proxy_http-HttpBodyFactory.o `test -f 'HttpBodyFactory.cc' || echo '$(srcdir)/'`HttpBodyFactory.cc
1141@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_proxy_http-HttpBodyFactory.Tpo $(DEPDIR)/test_proxy_http-HttpBodyFactory.Po
1142@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='HttpBodyFactory.cc' object='test_proxy_http-HttpBodyFactory.o' libtool=no @AMDEPBACKSLASH@
1143@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_proxy_http-HttpBodyFactory.o `test -f 'HttpBodyFactory.cc' || echo '$(srcdir)/'`HttpBodyFactory.cc
1145
1146test_proxy_http-HttpBodyFactory.obj: HttpBodyFactory.cc
1147@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_proxy_http-HttpBodyFactory.obj -MD -MP -MF $(DEPDIR)/test_proxy_http-HttpBodyFactory.Tpo -c -o test_proxy_http-HttpBodyFactory.obj `if test -f 'HttpBodyFactory.cc'; then $(CYGPATH_W) 'HttpBodyFactory.cc'; else $(CYGPATH_W) '$(srcdir)/HttpBodyFactory.cc'; fi`
1148@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_proxy_http-HttpBodyFactory.Tpo $(DEPDIR)/test_proxy_http-HttpBodyFactory.Po
1149@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='HttpBodyFactory.cc' object='test_proxy_http-HttpBodyFactory.obj' libtool=no @AMDEPBACKSLASH@
1150@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_http_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_proxy_http-HttpBodyFactory.obj `if test -f 'HttpBodyFactory.cc'; then $(CYGPATH_W) 'HttpBodyFactory.cc'; else $(CYGPATH_W) '$(srcdir)/HttpBodyFactory.cc'; fi`
1152
1153mostlyclean-libtool:
1154	-rm -f *.lo
1155
1156clean-libtool:
1157	-rm -rf .libs _libs
1158
1159# This directory's subdirectories are mostly independent; you can cd
1160# into them and run 'make' without going through this Makefile.
1161# To change the values of 'make' variables: instead of editing Makefiles,
1162# (1) if the variable is set in 'config.status', edit 'config.status'
1163#     (which will cause the Makefiles to be regenerated when you run 'make');
1164# (2) otherwise, pass the desired values on the 'make' command line.
1165$(am__recursive_targets):
1166	@fail=; \
1167	if $(am__make_keepgoing); then \
1168	  failcom='fail=yes'; \
1169	else \
1170	  failcom='exit 1'; \
1171	fi; \
1172	dot_seen=no; \
1173	target=`echo $@ | sed s/-recursive//`; \
1174	case "$@" in \
1175	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1176	  *) list='$(SUBDIRS)' ;; \
1177	esac; \
1178	for subdir in $$list; do \
1179	  echo "Making $$target in $$subdir"; \
1180	  if test "$$subdir" = "."; then \
1181	    dot_seen=yes; \
1182	    local_target="$$target-am"; \
1183	  else \
1184	    local_target="$$target"; \
1185	  fi; \
1186	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1187	  || eval $$failcom; \
1188	done; \
1189	if test "$$dot_seen" = "no"; then \
1190	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1191	fi; test -z "$$fail"
1192clang-tidy-local:
1193
1194ID: $(am__tagged_files)
1195	$(am__define_uniq_tagged_files); mkid -fID $$unique
1196tags: tags-recursive
1197TAGS: tags
1198
1199tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1200	set x; \
1201	here=`pwd`; \
1202	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1203	  include_option=--etags-include; \
1204	  empty_fix=.; \
1205	else \
1206	  include_option=--include; \
1207	  empty_fix=; \
1208	fi; \
1209	list='$(SUBDIRS)'; for subdir in $$list; do \
1210	  if test "$$subdir" = .; then :; else \
1211	    test ! -f $$subdir/TAGS || \
1212	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1213	  fi; \
1214	done; \
1215	$(am__define_uniq_tagged_files); \
1216	shift; \
1217	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1218	  test -n "$$unique" || unique=$$empty_fix; \
1219	  if test $$# -gt 0; then \
1220	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1221	      "$$@" $$unique; \
1222	  else \
1223	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1224	      $$unique; \
1225	  fi; \
1226	fi
1227ctags: ctags-recursive
1228
1229CTAGS: ctags
1230ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1231	$(am__define_uniq_tagged_files); \
1232	test -z "$(CTAGS_ARGS)$$unique" \
1233	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1234	     $$unique
1235
1236GTAGS:
1237	here=`$(am__cd) $(top_builddir) && pwd` \
1238	  && $(am__cd) $(top_srcdir) \
1239	  && gtags -i $(GTAGS_ARGS) "$$here"
1240cscopelist: cscopelist-recursive
1241
1242cscopelist-am: $(am__tagged_files)
1243	list='$(am__tagged_files)'; \
1244	case "$(srcdir)" in \
1245	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1246	  *) sdir=$(subdir)/$(srcdir) ;; \
1247	esac; \
1248	for i in $$list; do \
1249	  if test -f "$$i"; then \
1250	    echo "$(subdir)/$$i"; \
1251	  else \
1252	    echo "$$sdir/$$i"; \
1253	  fi; \
1254	done >> $(top_builddir)/cscope.files
1255
1256distclean-tags:
1257	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1258
1259# Recover from deleted '.trs' file; this should ensure that
1260# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1261# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1262# to avoid problems with "make -n".
1263.log.trs:
1264	rm -f $< $@
1265	$(MAKE) $(AM_MAKEFLAGS) $<
1266
1267# Leading 'am--fnord' is there to ensure the list of targets does not
1268# expand to empty, as could happen e.g. with make check TESTS=''.
1269am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1270am--force-recheck:
1271	@:
1272
1273$(TEST_SUITE_LOG): $(TEST_LOGS)
1274	@$(am__set_TESTS_bases); \
1275	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1276	redo_bases=`for i in $$bases; do \
1277	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1278	            done`; \
1279	if test -n "$$redo_bases"; then \
1280	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1281	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1282	  if $(am__make_dryrun); then :; else \
1283	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1284	  fi; \
1285	fi; \
1286	if test -n "$$am__remaking_logs"; then \
1287	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1288	       "recursion detected" >&2; \
1289	elif test -n "$$redo_logs"; then \
1290	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1291	fi; \
1292	if $(am__make_dryrun); then :; else \
1293	  st=0;  \
1294	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1295	  for i in $$redo_bases; do \
1296	    test -f $$i.trs && test -r $$i.trs \
1297	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1298	    test -f $$i.log && test -r $$i.log \
1299	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1300	  done; \
1301	  test $$st -eq 0 || exit 1; \
1302	fi
1303	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1304	ws='[ 	]'; \
1305	results=`for b in $$bases; do echo $$b.trs; done`; \
1306	test -n "$$results" || results=/dev/null; \
1307	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1308	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1309	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1310	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1311	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1312	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1313	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1314	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1315	  success=true; \
1316	else \
1317	  success=false; \
1318	fi; \
1319	br='==================='; br=$$br$$br$$br$$br; \
1320	result_count () \
1321	{ \
1322	    if test x"$$1" = x"--maybe-color"; then \
1323	      maybe_colorize=yes; \
1324	    elif test x"$$1" = x"--no-color"; then \
1325	      maybe_colorize=no; \
1326	    else \
1327	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1328	    fi; \
1329	    shift; \
1330	    desc=$$1 count=$$2; \
1331	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1332	      color_start=$$3 color_end=$$std; \
1333	    else \
1334	      color_start= color_end=; \
1335	    fi; \
1336	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1337	}; \
1338	create_testsuite_report () \
1339	{ \
1340	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1341	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1342	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1343	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1344	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1345	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1346	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1347	}; \
1348	{								\
1349	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1350	    $(am__rst_title);						\
1351	  create_testsuite_report --no-color;				\
1352	  echo;								\
1353	  echo ".. contents:: :depth: 2";				\
1354	  echo;								\
1355	  for b in $$bases; do echo $$b; done				\
1356	    | $(am__create_global_log);					\
1357	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1358	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1359	if $$success; then						\
1360	  col="$$grn";							\
1361	 else								\
1362	  col="$$red";							\
1363	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1364	fi;								\
1365	echo "$${col}$$br$${std}"; 					\
1366	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1367	echo "$${col}$$br$${std}"; 					\
1368	create_testsuite_report --maybe-color;				\
1369	echo "$$col$$br$$std";						\
1370	if $$success; then :; else					\
1371	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1372	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1373	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1374	  fi;								\
1375	  echo "$$col$$br$$std";					\
1376	fi;								\
1377	$$success || exit 1
1378
1379check-TESTS: $(check_PROGRAMS)
1380	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1381	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1382	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1383	@set +e; $(am__set_TESTS_bases); \
1384	log_list=`for i in $$bases; do echo $$i.log; done`; \
1385	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1386	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1387	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1388	exit $$?;
1389recheck: all $(check_PROGRAMS)
1390	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1391	@set +e; $(am__set_TESTS_bases); \
1392	bases=`for i in $$bases; do echo $$i; done \
1393	         | $(am__list_recheck_tests)` || exit 1; \
1394	log_list=`for i in $$bases; do echo $$i.log; done`; \
1395	log_list=`echo $$log_list`; \
1396	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1397	        am__force_recheck=am--force-recheck \
1398	        TEST_LOGS="$$log_list"; \
1399	exit $$?
1400test_proxy_http.log: test_proxy_http$(EXEEXT)
1401	@p='test_proxy_http$(EXEEXT)'; \
1402	b='test_proxy_http'; \
1403	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1404	--log-file $$b.log --trs-file $$b.trs \
1405	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1406	"$$tst" $(AM_TESTS_FD_REDIRECT)
1407.test.log:
1408	@p='$<'; \
1409	$(am__set_b); \
1410	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1411	--log-file $$b.log --trs-file $$b.trs \
1412	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1413	"$$tst" $(AM_TESTS_FD_REDIRECT)
1414@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1415@am__EXEEXT_TRUE@	@p='$<'; \
1416@am__EXEEXT_TRUE@	$(am__set_b); \
1417@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1418@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1419@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1420@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1421
1422distdir: $(BUILT_SOURCES)
1423	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1424
1425distdir-am: $(DISTFILES)
1426	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1427	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1428	list='$(DISTFILES)'; \
1429	  dist_files=`for file in $$list; do echo $$file; done | \
1430	  sed -e "s|^$$srcdirstrip/||;t" \
1431	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1432	case $$dist_files in \
1433	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1434			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1435			   sort -u` ;; \
1436	esac; \
1437	for file in $$dist_files; do \
1438	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1439	  if test -d $$d/$$file; then \
1440	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1441	    if test -d "$(distdir)/$$file"; then \
1442	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1443	    fi; \
1444	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1445	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1446	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1447	    fi; \
1448	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1449	  else \
1450	    test -f "$(distdir)/$$file" \
1451	    || cp -p $$d/$$file "$(distdir)/$$file" \
1452	    || exit 1; \
1453	  fi; \
1454	done
1455	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1456	  if test "$$subdir" = .; then :; else \
1457	    $(am__make_dryrun) \
1458	      || test -d "$(distdir)/$$subdir" \
1459	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1460	      || exit 1; \
1461	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1462	    $(am__relativize); \
1463	    new_distdir=$$reldir; \
1464	    dir1=$$subdir; dir2="$(top_distdir)"; \
1465	    $(am__relativize); \
1466	    new_top_distdir=$$reldir; \
1467	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1468	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1469	    ($(am__cd) $$subdir && \
1470	      $(MAKE) $(AM_MAKEFLAGS) \
1471	        top_distdir="$$new_top_distdir" \
1472	        distdir="$$new_distdir" \
1473		am__remove_distdir=: \
1474		am__skip_length_check=: \
1475		am__skip_mode_fix=: \
1476	        distdir) \
1477	      || exit 1; \
1478	  fi; \
1479	done
1480check-am: all-am
1481	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1482	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1483check: check-recursive
1484all-am: Makefile $(LIBRARIES) $(HEADERS)
1485installdirs: installdirs-recursive
1486installdirs-am:
1487install: install-recursive
1488install-exec: install-exec-recursive
1489install-data: install-data-recursive
1490uninstall: uninstall-recursive
1491
1492install-am: all-am
1493	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1494
1495installcheck: installcheck-recursive
1496install-strip:
1497	if test -z '$(STRIP)'; then \
1498	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1499	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1500	      install; \
1501	else \
1502	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1503	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1504	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1505	fi
1506mostlyclean-generic:
1507	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1508	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1509	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1510
1511clean-generic:
1512
1513distclean-generic:
1514	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1515	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1516	-rm -f unit_tests/$(DEPDIR)/$(am__dirstamp)
1517	-rm -f unit_tests/$(am__dirstamp)
1518
1519maintainer-clean-generic:
1520	@echo "This command is intended for maintainers to use"
1521	@echo "it deletes files that may require special tools to rebuild."
1522clang-tidy: clang-tidy-recursive
1523
1524clang-tidy-am: clang-tidy-local
1525
1526clean: clean-recursive
1527
1528clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1529	clean-noinstLIBRARIES mostlyclean-am
1530
1531distclean: distclean-recursive
1532		-rm -f ./$(DEPDIR)/ForwardedConfig.Po
1533	-rm -f ./$(DEPDIR)/Http1ClientSession.Po
1534	-rm -f ./$(DEPDIR)/Http1ServerSession.Po
1535	-rm -f ./$(DEPDIR)/Http1Transaction.Po
1536	-rm -f ./$(DEPDIR)/HttpBodyFactory.Po
1537	-rm -f ./$(DEPDIR)/HttpCacheSM.Po
1538	-rm -f ./$(DEPDIR)/HttpConfig.Po
1539	-rm -f ./$(DEPDIR)/HttpConnectionCount.Po
1540	-rm -f ./$(DEPDIR)/HttpDebugNames.Po
1541	-rm -f ./$(DEPDIR)/HttpPages.Po
1542	-rm -f ./$(DEPDIR)/HttpProxyServerMain.Po
1543	-rm -f ./$(DEPDIR)/HttpSM.Po
1544	-rm -f ./$(DEPDIR)/HttpSessionAccept.Po
1545	-rm -f ./$(DEPDIR)/HttpSessionManager.Po
1546	-rm -f ./$(DEPDIR)/HttpTransact.Po
1547	-rm -f ./$(DEPDIR)/HttpTransactCache.Po
1548	-rm -f ./$(DEPDIR)/HttpTransactHeaders.Po
1549	-rm -f ./$(DEPDIR)/HttpTunnel.Po
1550	-rm -f ./$(DEPDIR)/RegressionHttpTransact.Po
1551	-rm -f ./$(DEPDIR)/test_proxy_http-ForwardedConfig.Po
1552	-rm -f ./$(DEPDIR)/test_proxy_http-HttpBodyFactory.Po
1553	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po
1554	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po
1555	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po
1556	-rm -f Makefile
1557distclean-am: clean-am distclean-compile distclean-generic \
1558	distclean-tags
1559
1560dvi: dvi-recursive
1561
1562dvi-am:
1563
1564html: html-recursive
1565
1566html-am:
1567
1568info: info-recursive
1569
1570info-am:
1571
1572install-data-am:
1573
1574install-dvi: install-dvi-recursive
1575
1576install-dvi-am:
1577
1578install-exec-am:
1579
1580install-html: install-html-recursive
1581
1582install-html-am:
1583
1584install-info: install-info-recursive
1585
1586install-info-am:
1587
1588install-man:
1589
1590install-pdf: install-pdf-recursive
1591
1592install-pdf-am:
1593
1594install-ps: install-ps-recursive
1595
1596install-ps-am:
1597
1598installcheck-am:
1599
1600maintainer-clean: maintainer-clean-recursive
1601		-rm -f ./$(DEPDIR)/ForwardedConfig.Po
1602	-rm -f ./$(DEPDIR)/Http1ClientSession.Po
1603	-rm -f ./$(DEPDIR)/Http1ServerSession.Po
1604	-rm -f ./$(DEPDIR)/Http1Transaction.Po
1605	-rm -f ./$(DEPDIR)/HttpBodyFactory.Po
1606	-rm -f ./$(DEPDIR)/HttpCacheSM.Po
1607	-rm -f ./$(DEPDIR)/HttpConfig.Po
1608	-rm -f ./$(DEPDIR)/HttpConnectionCount.Po
1609	-rm -f ./$(DEPDIR)/HttpDebugNames.Po
1610	-rm -f ./$(DEPDIR)/HttpPages.Po
1611	-rm -f ./$(DEPDIR)/HttpProxyServerMain.Po
1612	-rm -f ./$(DEPDIR)/HttpSM.Po
1613	-rm -f ./$(DEPDIR)/HttpSessionAccept.Po
1614	-rm -f ./$(DEPDIR)/HttpSessionManager.Po
1615	-rm -f ./$(DEPDIR)/HttpTransact.Po
1616	-rm -f ./$(DEPDIR)/HttpTransactCache.Po
1617	-rm -f ./$(DEPDIR)/HttpTransactHeaders.Po
1618	-rm -f ./$(DEPDIR)/HttpTunnel.Po
1619	-rm -f ./$(DEPDIR)/RegressionHttpTransact.Po
1620	-rm -f ./$(DEPDIR)/test_proxy_http-ForwardedConfig.Po
1621	-rm -f ./$(DEPDIR)/test_proxy_http-HttpBodyFactory.Po
1622	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-test_ForwardedConfig.Po
1623	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-test_error_page_selection.Po
1624	-rm -f unit_tests/$(DEPDIR)/test_proxy_http-unit_test_main.Po
1625	-rm -f Makefile
1626maintainer-clean-am: distclean-am maintainer-clean-generic
1627
1628mostlyclean: mostlyclean-recursive
1629
1630mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1631	mostlyclean-libtool
1632
1633pdf: pdf-recursive
1634
1635pdf-am:
1636
1637ps: ps-recursive
1638
1639ps-am:
1640
1641uninstall-am:
1642
1643.MAKE: $(am__recursive_targets) check-am install-am install-strip
1644
1645.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1646	am--depfiles check check-TESTS check-am clang-tidy-am \
1647	clang-tidy-local clean clean-checkPROGRAMS clean-generic \
1648	clean-libtool clean-noinstLIBRARIES cscopelist-am ctags \
1649	ctags-am distclean distclean-compile distclean-generic \
1650	distclean-libtool distclean-tags distdir dvi dvi-am html \
1651	html-am info info-am install install-am install-data \
1652	install-data-am install-dvi install-dvi-am install-exec \
1653	install-exec-am install-html install-html-am install-info \
1654	install-info-am install-man install-pdf install-pdf-am \
1655	install-ps install-ps-am install-strip installcheck \
1656	installcheck-am installdirs installdirs-am maintainer-clean \
1657	maintainer-clean-generic mostlyclean mostlyclean-compile \
1658	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1659	recheck tags tags-am uninstall uninstall-am
1660
1661.PRECIOUS: Makefile
1662
1663
1664clang-tidy-local: $(libhttp_a_SOURCES) $(noinst_HEADERS)
1665	$(CXX_Clang_Tidy)
1666
1667#test_UNUSED_SOURCES = \
1668#  TestHttpTransact.cc \
1669#  TestUrl.cc \
1670#  test_socket_close.cc \
1671#  testheaders.cc
1672
1673# Tell versions [3.59,3.63) of GNU make to not export all variables.
1674# Otherwise a system limit (for SysV at least) may be exceeded.
1675.NOEXPORT:
1676